import { IIdentity } from '@essential-projects/iam_contracts';
/**
 * The base class for definining system event messages.
 * System events are peripheral events that are not contained within a
 * ProcessModel, but are relevant to its execution.
 *
 * For example: A UserTask was reached or finished.
 */
export declare class BaseSystemEventMessage {
    readonly correlationId: string;
    readonly processModelId: string;
    readonly processInstanceId: string;
    readonly flowNodeId: string;
    readonly flowNodeInstanceId: string;
    readonly processInstanceOwner: IIdentity;
    readonly currentToken: any;
    constructor(correlationId: string, processModelId: string, processInstanceId: string, flowNodeId: string, flowNodeInstanceId: string, processInstanceOwner: IIdentity, currentToken: any);
}
